org.ajax4jsf.javascript

## Class JSFunction

- java.lang.Object
- - org.ajax4jsf.javascript.ScriptStringBase
  - - org.ajax4jsf.javascript.JSFunction

- All Implemented Interfaces:
    ScriptString
  Direct Known Subclasses:
    JSChainJSFFunction, JSObject

      public class JSFunction
      extends ScriptStringBase
      implements ScriptString

  Version:
    $Revision: 1.1.2.3 $ $Date: 2007/02/06 16:23:26 $
  Author:
    shura (latest modification by $Author: alexsmirnov $)

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase

      `COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSFunction(String name, Object... parameters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JSFunction` | `addParameter(Object parameter)`
    `void` | `appendScript(Appendable target)` Append JavaScript code to @link `Appendable`
    `List<Object>` | `getParameters()`

    - ### Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase

      `appendScriptToStringBuilder, toScript, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.javascript.ScriptString

      `appendScriptToStringBuilder, toScript`

- - ### Constructor Detail

    - #### JSFunction

          public JSFunction(String name,
                            Object... parameters)

      Parameters:
        `name` -
        `parameters` -

  - ### Method Detail

    - #### addParameter

          public JSFunction addParameter(Object parameter)

    - #### appendScript

          public void appendScript(Appendable target)
                            throws IOException

      Description copied from interface: `ScriptString`
      Append JavaScript code to @link `Appendable`
      Specified by:
        `appendScript` in interface `ScriptString`
      Throws:
        `IOException`

    - #### getParameters

          public List<Object> getParameters()

      Returns:
        the parameters

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.